Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std.movies.media
Class VideoMediaHandler

    java.lang.Object
      |
      +--quicktime.QTObject
            |
            +--quicktime.std.comp.ComponentIdentifier
                  |
                  +--quicktime.std.comp.Component
                        |
                        +--quicktime.std.movies.media.MediaHandler
                              |
                              +--quicktime.std.movies.media.VisualMediaHandler
                                    |
                                    +--quicktime.std.movies.media.VideoMediaHandler

All Implemented Interfaces:
  quicktime.jdirect.InterfaceLib, quicktime.jdirect.PrimitivesLib, quicktime.jdirect.QuickTimeLib, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

Direct Known Subclasses:
  MPEGMediaHandler, StreamMediaHandler

public class VideoMediaHandler
extends VisualMediaHandler
implements quicktime.jdirect.QuickTimeLib

Fields inherited from interface quicktime.jdirect.QuickTimeLib
`JDirect_MacOSX, libraryInstance, name`

Method Summary
`int` | `getStallCount()` No QTDocumentation.
`float` | `getStatistics()` The GetVideoMediaStatistics returns the average frame rate since the last time ResetVideoMediaStatistics was called.
`void` | `resetStatistics()` Use the ResetVideoMediaStatistics function to reset the video media handlerÕs counters before using GetVideoMediaStatistics to determine the frame rate of a movie.

Methods inherited from class quicktime.std.movies.media.VisualMediaHandler
`getGraphicsMode, getTrackOpaque, hitTestForTargetRefCon, hitTestTargetRefCon, setGraphicsMode`

Methods inherited from class quicktime.std.comp.Component
`count`

Methods inherited from class quicktime.std.comp.ComponentIdentifier
`find, find, getInfo, toString`

Methods inherited from class quicktime.QTObject
`disposeQTObject, equals, ID`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getStatistics

    public float getStatistics()

  The GetVideoMediaStatistics returns the average frame rate since the last time ResetVideoMediaStatistics was called. Because of sampling errors, the values returned from GetVideoMediaStatistics are accurate only after waiting at least one second after calling ResetVideoMediaStatistics.
  QuickTime::VideoMediaGetStatistics

  Returns:
    the movieÕs play-back frame rate in frames per second.

### resetStatistics

    public void resetStatistics()
                         throws StdQTException

  Use the ResetVideoMediaStatistics function to reset the video media handlerÕs counters before using GetVideoMediaStatistics to determine the frame rate of a movie. This call can only be used on video or MPEG media handlers.
  QuickTime::VideoMediaResetStatistics

### getStallCount

    public int getStallCount()
                      throws StdQTException

  No QTDocumentation.
  QuickTime::VideoMediaGetStallCount

  Returns:
    the stall count.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD